path: /build/build/dolphin-plugins-git-kde-apps-5-23.08.2.package.tar.zst
dependencies: []
compilespec:
  steps: []
  env: []
  prelude:
  - |-
    export FEATURES="-sandbox -usersandbox -ipc-sandbox -pid-sandbox -network-sandbox" && \
    export JOBS=3 && \
    eval 'mkdir -p /var/cache/portage/distfiles || true' && \
    chown portage:portage -R /var/cache/portage/ && \
    emerge -j ${JOBS} kde-apps/dolphin-plugins-git:5 -pv -t && \
    emerge -j ${JOBS} --nodeps kde-apps/dolphin-plugins-git:5
  - export LUET_PORTAGE_CACHE_PACKAGES="/var/cache/portage/packages" && export LUET_PORTAGE_IGNORE_TAR_WARNING=1
    && export LUET_PORTAGE_PKGMETA=1 && export LUET_PORTAGE_PKGFILES=1 && eval 'rm
    -rf /pkgdir/ || true' && mkdir -p /pkgdir/dolphin-plugins-git && luet-portage
    --dir /pkgdir/dolphin-plugins-git kde-apps/dolphin-plugins-git:5 && eval 'rm -v
    /var/cache/distfiles/* ${LUET_PORTAGE_CACHE_PACKAGES}/* || true'
  image: ""
  seed: docker-registry1.mottainai.local:5000/luet-macaroni-funtoo-dev-tree:deaee190d00cadd6e09595026976df3b76cac2c8a317cbdf0903afce102d609b
  package:
    name: dolphin-plugins-git
    version: 23.08.2
    category: kde-apps-5
    requires:
    - name: macaroni-funtoo-race20
      version: '>=0'
      category: seed
    annotations:
      subsets:
        rules:
          devel:
          - ^/usr/include/
          portage:
          - ^/var/db/pkg/
    description: Dolphin plugin for Git integration
    uri:
    - https://apps.kde.org/en/dolphin_plugins
    license: GPL-2
    buildtimestamp: 2024-02-15 18:35:58.70378302 +0000 UTC m=+148.881278713
    labels:
      BDEPEND: dev-util/ninja >=dev-util/cmake-3.9.6 >=kde-frameworks/extra-cmake-modules-5.98.0:5
      DEPEND: '>=dev-qt/qtgui-5.15.2:5 >=dev-qt/qtwidgets-5.15.2:5 >=kde-apps/dolphin-23.08.2:5
        >=kde-frameworks/kcompletion-5.98.0:5 >=kde-frameworks/kconfig-5.98.0:5 >=kde-frameworks/kcoreaddons-5.98.0:5
        >=kde-frameworks/ki18n-5.98.0:5 >=kde-frameworks/kio-5.98.0:5 >=kde-frameworks/ktextwidgets-5.98.0:5
        dev-util/desktop-file-utils x11-misc/shared-mime-info >=dev-qt/qtcore-5.15.2:5
        dev-util/desktop-file-utils'
      IUSE: debug
      RDEPEND: '>=dev-qt/qtgui-5.15.2:5 >=dev-qt/qtwidgets-5.15.2:5 >=kde-apps/dolphin-23.08.2:5
        >=kde-frameworks/kcompletion-5.98.0:5 >=kde-frameworks/kconfig-5.98.0:5 >=kde-frameworks/kcoreaddons-5.98.0:5
        >=kde-frameworks/ki18n-5.98.0:5 >=kde-frameworks/kio-5.98.0:5 >=kde-frameworks/ktextwidgets-5.98.0:5
        !kde-apps/dolphin-plugins:5 dev-vcs/git >=kde-frameworks/kf-env-4 || ( >=kde-frameworks/breeze-icons-5.98.0:5
        kde-frameworks/oxygen-icons:* ) >=dev-qt/qtcore-5.15.2:5'
      emerge.packages: kde-apps/dolphin-plugins-git:5
      kit: kde-kit
      original.package.name: kde-apps/dolphin-plugins-git
      original.package.slot: "5"
      original.package.version: 23.08.2
    treedir: /build/packages
  package_dir: /pkgdir/dolphin-plugins-git
  retrieve: []
  unpack: false
  includes: []
  excludes:
  - ^/var/cache/portage/
  - ^/var/git/
  build_options:
    pushimagerepository: docker-registry1.mottainai.local:5000/luet-macaroni-funtoo-dev-tree
    pullimagerepository:
    - luet/cache
    pullfirst: false
    keepimg: false
    push: false
    concurrency: 0
    compressiontype: ""
    wait: false
    onlydeps: false
    nodeps: false
    solveroptions: {}
    buildvaluesfile: []
    buildvalues:
    - arch: amd64
      commons-repo: macaroni-commons-dev
    packagetargetonly: false
    rebuild: false
    backendargs: []
    backendtype: ""
    templatesfolder: []
  copy: []
  requires_final_images: false
checksums:
  sha256: f040695143c88d742203c33755361cebad2cacd334e1927d74c0c66b40704910
compressiontype: zstd
files:
- usr/lib64/qt5/plugins/dolphin/vcs/fileviewgitplugin.so
- usr/share/config.kcfg/fileviewgitpluginsettings.kcfg
- var/db/pkg/kde-apps/dolphin-plugins-git-23.08.2/BDEPEND
- var/db/pkg/kde-apps/dolphin-plugins-git-23.08.2/BUILD_TIME
- var/db/pkg/kde-apps/dolphin-plugins-git-23.08.2/CATEGORY
- var/db/pkg/kde-apps/dolphin-plugins-git-23.08.2/CBUILD
- var/db/pkg/kde-apps/dolphin-plugins-git-23.08.2/CFLAGS
- var/db/pkg/kde-apps/dolphin-plugins-git-23.08.2/CHOST
- var/db/pkg/kde-apps/dolphin-plugins-git-23.08.2/CONTENTS
- var/db/pkg/kde-apps/dolphin-plugins-git-23.08.2/COUNTER
- var/db/pkg/kde-apps/dolphin-plugins-git-23.08.2/CXXFLAGS
- var/db/pkg/kde-apps/dolphin-plugins-git-23.08.2/DEFINED_PHASES
- var/db/pkg/kde-apps/dolphin-plugins-git-23.08.2/DEPEND
- var/db/pkg/kde-apps/dolphin-plugins-git-23.08.2/DESCRIPTION
- var/db/pkg/kde-apps/dolphin-plugins-git-23.08.2/EAPI
- var/db/pkg/kde-apps/dolphin-plugins-git-23.08.2/FEATURES
- var/db/pkg/kde-apps/dolphin-plugins-git-23.08.2/HOMEPAGE
- var/db/pkg/kde-apps/dolphin-plugins-git-23.08.2/INHERITED
- var/db/pkg/kde-apps/dolphin-plugins-git-23.08.2/IUSE
- var/db/pkg/kde-apps/dolphin-plugins-git-23.08.2/IUSE_EFFECTIVE
- var/db/pkg/kde-apps/dolphin-plugins-git-23.08.2/KEYWORDS
- var/db/pkg/kde-apps/dolphin-plugins-git-23.08.2/LDFLAGS
- var/db/pkg/kde-apps/dolphin-plugins-git-23.08.2/LICENSE
- var/db/pkg/kde-apps/dolphin-plugins-git-23.08.2/NEEDED
- var/db/pkg/kde-apps/dolphin-plugins-git-23.08.2/PF
- var/db/pkg/kde-apps/dolphin-plugins-git-23.08.2/PROVIDES
- var/db/pkg/kde-apps/dolphin-plugins-git-23.08.2/RDEPEND
- var/db/pkg/kde-apps/dolphin-plugins-git-23.08.2/REQUIRES
- var/db/pkg/kde-apps/dolphin-plugins-git-23.08.2/SIZE
- var/db/pkg/kde-apps/dolphin-plugins-git-23.08.2/SLOT
- var/db/pkg/kde-apps/dolphin-plugins-git-23.08.2/USE
- var/db/pkg/kde-apps/dolphin-plugins-git-23.08.2/dolphin-plugins-git-23.08.2.ebuild
- var/db/pkg/kde-apps/dolphin-plugins-git-23.08.2/environment.bz2
- var/db/pkg/kde-apps/dolphin-plugins-git-23.08.2/repository
package_cacheimage: ""
runtime:
  name: dolphin-plugins-git
  version: 23.08.2
  category: kde-apps-5
  requires:
  - name: qtwidgets
    version: '>=0'
    category: dev-qt-5
  - name: git
    version: '>=0'
    category: dev-vcs
  - name: dolphin
    version: '>=0'
    category: kde-apps-5
  - name: ki18n
    version: '>=0'
    category: kde-frameworks-5
  - name: kio
    version: '>=0'
    category: kde-frameworks-5
  annotations:
    subsets:
      rules:
        devel:
        - ^/usr/include/
        portage:
        - ^/var/db/pkg/
  description: Dolphin plugin for Git integration
  uri:
  - https://apps.kde.org/en/dolphin_plugins
  license: GPL-2
  labels:
    BDEPEND: dev-util/ninja >=dev-util/cmake-3.9.6 >=kde-frameworks/extra-cmake-modules-5.98.0:5
    DEPEND: '>=dev-qt/qtgui-5.15.2:5 >=dev-qt/qtwidgets-5.15.2:5 >=kde-apps/dolphin-23.08.2:5
      >=kde-frameworks/kcompletion-5.98.0:5 >=kde-frameworks/kconfig-5.98.0:5 >=kde-frameworks/kcoreaddons-5.98.0:5
      >=kde-frameworks/ki18n-5.98.0:5 >=kde-frameworks/kio-5.98.0:5 >=kde-frameworks/ktextwidgets-5.98.0:5
      dev-util/desktop-file-utils x11-misc/shared-mime-info >=dev-qt/qtcore-5.15.2:5
      dev-util/desktop-file-utils'
    IUSE: debug
    RDEPEND: '>=dev-qt/qtgui-5.15.2:5 >=dev-qt/qtwidgets-5.15.2:5 >=kde-apps/dolphin-23.08.2:5
      >=kde-frameworks/kcompletion-5.98.0:5 >=kde-frameworks/kconfig-5.98.0:5 >=kde-frameworks/kcoreaddons-5.98.0:5
      >=kde-frameworks/ki18n-5.98.0:5 >=kde-frameworks/kio-5.98.0:5 >=kde-frameworks/ktextwidgets-5.98.0:5
      !kde-apps/dolphin-plugins:5 dev-vcs/git >=kde-frameworks/kf-env-4 || ( >=kde-frameworks/breeze-icons-5.98.0:5
      kde-frameworks/oxygen-icons:* ) >=dev-qt/qtcore-5.15.2:5'
    emerge.packages: kde-apps/dolphin-plugins-git:5
    kit: kde-kit
    original.package.name: kde-apps/dolphin-plugins-git
    original.package.slot: "5"
    original.package.version: 23.08.2
